<?php

namespace AppBundle\Repository;

/**
 * LocalitaRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class LocalitaRepository extends \Doctrine\ORM\EntityRepository
{
    
    public function findLocalita($sinonimo){
        return $this->getEntityManager()
            ->createQuery('
              SELECT l.localita , l.cap
    FROM AppBundle:Localita l
    WHERE l.localita LIKE :inserito 
    OR l.sinonimo LIKE :inserito'
                   
            )->setParameter('inserito', '%'.$sinonimo.'%')
            ->getResult();
   
    }
    
    
    
    
    public function findSinonimi($sinonimo){
        return $this->getEntityManager()
         ->createQuery('
        SELECT l.sinonimo , l.cap
        FROM AppBundle:Localita l
        WHERE l.sinonimo LIKE :inserito'
        )->setParameter('inserito', $sinonimo)
        ->getResult();
   
    }
    
        
}
